This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### norm()
Examples |
    float value = 20;
    float n = norm(value, 0, 50);
    println(n);  // Prints "0.4"
    float value = -10;
    float n = norm(value, 0, 100);
    println(n);  // Prints "-0.1"
Description | Normalizes a number from another range into a value between 0 and 1. Identical to map(value, low, high, 0, 1). Numbers outside of the range are not clamped to 0 and 1, because out-of-range values are often intentional and useful. (See the second example above.)
Syntax |
    norm(value, start, stop)
Parameters |
value | float: the incoming value to be converted
start | float: lower bound of the value's current range
stop | float: upper bound of the value's current range
Returns | float
Related | map() lerp()

Updated on October 26, 2013 08:58:30pm PDT